
Micah Jaffe's "insult" grammar from http://www-cs-faculty.stanford.edu/~zelenski/rsg/grammars/,
with modifications by Christopher Rasmussen, May, 2010

{
<start>
You <adj> <name> . ;
May <curse> . ;
}

{
<adj>
<adj1> ;
<adj2> ;
<adj3> , <adj> ;
}

{
<adj3>
<adj1> ;
<adj2> ;
}

{
<adj1>
lame ;
dried up ;
par-broiled ;
bloated ;
half-baked ;
spiteful ;
egotistical ;
ungrateful ;
stupid ;
moronic ;
fat ;
ugly ;
puny ;
pitiful ;
insignificant ;
blithering ;
repulsive ;
worthless ;
blundering ;
retarded ;
useless ; 
obnoxious ;
low-budget ;
asinine ;
neurotic ;
subhuman ;
crochety ;
indescribable ;
contemptible ;
unspeakable ;
sick ;
lazy ;
good-for-nothing ;
slutty ;
mentally-deficient ;
creepy ;
sloppy ;
dismal ;
pompous ;
pathetic ;
friendless ;
revolting ;
slovenly ;
cantankerous ;
uncultured ;
insufferable ;
gross ;
unkempt ;
defective ;
crumby ;
}

{
<notorious_person>
Rush Limbaugh ;
Glenn Beck ;
Nancy Pelosi ;
Charlie Sheen ;
}

{
<adj2>
putrefied ;
festering ;
funky ;
moldy ;
leprous ;
curdled ;
fetid ;
slimy ;
crusty ;
sweaty ;
damp ;
deranged ;
smelly ;
stenchy ;
malignant ;
noxious ;
grimy ;
reeky ;
nasty ;
mutilated ;
sloppy ;
gruesome ;
grisly ;
sloshy ;
wormy ;
mealy ;
spoiled ;
contaminated ;
rancid ;
musty ;
fly-covered ;
moth-eaten ;
decaying ;
decomposed ;
freeze-dried ;
defective ;
petrified ;
rotting ;
scabrous ;
hirsute ;
}

{
<name>
<noun> ;
, bad excuse for <stuff> ;
, <stuff> for brains ;
, <adj2> <animal> <organics> for brains ;
offspring of a motherless <noun> ;
<noun_and_prep> <stuff> ;
<noun_and_prep> <adj2> <animal> <organics> ;
}

{
<stuff>
dung ;
toe jam ;
filth ;
pus ;
bile ;
drain clog ;
earwax ;
leaf clippings ;
bat guano ;
mucus ;
fungus ;
smegma ;
refuse ;
earwax ;
spittoon drippings ;
phlegm ;
}

{
<noun_and_prep>
bit of ;
piece of ;
vat of ;
lump of ;
crock of ;
ball of ;
tub of ;
load of ;
bucket of ;
mound of ;
glob of ;
bag of ;
heap of ;
mountain of ;
load of ;
barrel of ;
sack of ;
blob of ;
pile of ;
truckload of ;
vat of ;
}

{
<organics>
droppings ;
larvae ;
zits ;
puckies ;
tumors ;
cysts ;
tumors ;
livers ;
froth ;
parts ;
scabs ;
guts ;
entrails ;
blubber ;
carcasses ;
gizzards ;
<body_parts> ;
}

{
<body_parts>
kidneys ;
genitals ;
buttocks ;
earlobes ;
innards ;
feet ;
}

{
<noun>
pop tart ;
warthog ;
twinkie ;
barnacle ;
fondue pot ;
cretin ;
guttersnipe ;
man-bear-pig ;
dillweed ;
douche ;
moron ;
ass ;
neanderthal ;
nincompoop ;
simpleton ;
<animal> ;
}

{
<animal>
donkey ;
llama ; 
dingo ;
lizard ;
gekko ;
lemur ;
moose ;
camel ;
goat ;
eel ;
}

{
<good_verb>
love ;
cuddle ;
fondle ;
adore ;
smooch ;
hug ;
caress ;
worship ;
}

The curses...

{
<curse>
<afflictors> <bad_action> <place> ;
<afflictors> <bad_action> <adv> <place> ;
<afflictors> <adv> <bad_action_long> <place> ;
<afflictors> find your <body_parts> <adv2> delectable ;
<afflictors> and <afflictors> do battle <place> ;
<afflictors> and <afflictors> play <game> <place> ;
<afflictors> and <afflictors> make sweet love <place> ;
}

{
<game>
an endless game of Monopoly ;
<numbers> hands of Canasta ;
strip poker ;
}

{
<afflictors>
<quantity> <beasties> ;
<quantity> <beasties> ;
<quantity> <beasties> ;
<quantity> <beasties> ;
a <condition> <notorious_person> ;
an <vowel_condition> <notorious_person> ;
the hosts of Hades ;
}

{
<quantity>
a <adj2> hoard of ;
a <adj2> pack of ;
a truckload of ;
a swarm of ;
a loose band of ;
an army of ;
a <adj2> herd of ;
a <adj2> platoon of ;
a <adj2> and <adj2> group of ;
<numbers> ;
}

{
<numbers>
a thousand ;
three million ;
ninty-nine ;
forty-two ;
a gazillion ;
one or two ;
}

{
<adv>
viciously ;
maniacally ;
merrily ;
happily ;
, with the <force> of <metaphor> , ;
gleefully ;
, fulfilling the ancient prophecy , ;
, under a harvest moon , ;
, in a spirit of unbridled chaos , ;
, with much ritualistic celebration , ;
frantically ;
}

{
<adv2>
suddenly ;
curiously ;
incredibly ;
perversely ;
strangely ;
ever so ;
}

{
<metaphor>
an irate manticore ;
a nonplussed sea urchin ;
a delicate elephant ;
Thor's belch ;
Wotan's fist ;
Neptune's trident ;
Satan's oily beard ;
<numbers> titans ;
a vicious she-bear  ;
a pissed-off Jabberwock ;
}

{
<force>
force ;
fury ;
power ;
rage ;
}

{
<bad_action_long>
start a colony ;
set up camp ;
erect a strip mall ;
build a <bad_place> ;
have a religious experience ;
discharge bodily waste ;
spill <numbers> rusty tacks ;
sing <numbers> campfire songs ;
smite you <numbers> times ;
construct a shanty ;
throw a rave ;
have a meet-up ;
}

{
<bad_action>
spit ;
shimmy ;
slobber ;
dance ;
retch ;
vomit ;
defecate ;
fart ;
dance ;
drool ;
lambada ;
bite you ;
sneeze ;
procreate ;
}

{
<beasties>
yaks ;
<condition> maggots ;
<condition> cockroaches ;
<condition> scorpions ;
fleas ;
<condition> weasels ;
<condition> gnats ;
<nationality> killer bees ;
spiders ;
<adj2> monkeys ;
<condition> wiener-dogs ;
<condition> rats ;
<condition> wolverines ;
<adj2> , <condition> pit-fiends ;
}

{
<vowel_condition>
incontinent ;
ignorant ;
obese ;
ululating ;
impotent ;
intubated ;
}

{
<condition>
stinging ;
frothing ;
mouth-breathing ;
manic ;
crazed ;
plague-ridden ;
disease-carrying ;
freckled ;
biting ;
rabid ;
hungover ;
blood-thirsty ;
ravaging ;
slavering ;
}

{
<place>
in <relation> <in_something> ;
upon your mother's grave ;
on <relation> best rug ;
in the <bad_place> you call home ;
in your place of work ;
upon your heinie ;
}

{
<nationality>
South American ;
Moldavian ;
Africanized ;
Mongolian ;
Ukrainian ;
}

{
<relation>
your ;
your ;
your step-uncle's ;
your father's ;
your mother's ;
your grandma's ;
}

{
<in_something>
entrails ;
least-favorite body cavity ;
shoes ;
house ;
pantry ;
general direction ;
pants ;
bed ;
}

{
<bad_place>
rat hole ;
sewer ;
toxic dump ;
oil refinery ;
landfill ;
port-a-potty ;
}

